# VideoAttributes (Crawler-commons 1.1 API)
Date: 2020-06-25

crawlercommons.sitemaps.extension

## Class VideoAttributes

- java.lang.Object
- - crawlercommons.sitemaps.extension.ExtensionMetadata
  - - crawlercommons.sitemaps.extension.VideoAttributes

All Implemented Interfaces:
  Serializable

    public class VideoAttributes
    extends ExtensionMetadata

Data model for Google extension to the sitemap protocol regarding images indexing, as per http://www.google.com/schemas/sitemap-video/1.1

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `VideoAttributes.VideoPrice`
`static class` `VideoAttributes.VideoPriceResolution`
`static class` `VideoAttributes.VideoPriceType`

### Field Summary

Fields
`static String` `ALLOWED_COUNTRIES`
`static String` `ALLOWED_PLATFORMS`
`static String` `CATEGORY`
`static String` `CONTENT_LOC`
`static String` `DESCRIPTION`
`static String` `EXPIRATION_DATE`
`static String` `FAMILY_FRIENDLY`
`static String` `GALLERY_LOC`
`static String` `GALLERY_TITLE`
`static String` `IS_LIVE`
`static String` `PLAYER_LOC`
`static String` `PRICES`
`static String` `PUBLICATION_DATE`
`static String` `RATING`
`static String` `REQUIRES_SUBSCRIPTION`
`static String` `RESTRICTED_COUNTRIES`
`static String` `RESTRICTED_PLATFORMS`
`static String` `TAGS`
`static String` `THUMBNAIL_LOC`
`static String` `TITLE`
`static String` `UPLOADER`
`static String` `UPLOADER_INFO`
`static String` `VIEW_COUNT`

### Constructor Summary

Constructors
Constructor and Description
`VideoAttributes()`
`VideoAttributes(URL thumbnailLoc, String title, String description, URL contentLoc, URL playerLoc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPrice(VideoAttributes.VideoPrice price)`
`void` `addTag(String tag)`
`Map<String,String[]>` `asMap()`
`boolean` `equals(Object other)`
`String[]` `getAllowedCountries()`
`String[]` `getAllowedPlatforms()`
`String` `getCategory()`
`URL` `getContentLoc()`
`String` `getDescription()`
`Integer` `getDuration()`
`Date` `getExpirationDate()`
`java.time.ZonedDateTime` `getExpirationDateTime()`
`Boolean` `getFamilyFriendly()`
`URL` `getGalleryLoc()`
`String` `getGalleryTitle()`
`Boolean` `getLive()`
`URL` `getPlayerLoc()`
`VideoAttributes.VideoPrice[]` `getPrices()`
`Date` `getPublicationDate()`
`java.time.ZonedDateTime` `getPublicationDateTime()`
`Float` `getRating()`
`Boolean` `getRequiresSubscription()`
`String[]` `getRestrictedCountries()`
`String[]` `getRestrictedPlatforms()`
`String[]` `getTags()`
`URL` `getThumbnailLoc()`
`String` `getTitle()`
`String` `getUploader()`
`URL` `getUploaderInfo()`
`Integer` `getViewCount()`
`boolean` `isValid()`
`void` `setAllowedCountries(String[] allowedCountries)`
`void` `setAllowedPlatforms(String[] allowedPlatforms)`
`void` `setCategory(String category)`
`void` `setContentLoc(URL contentLoc)`
`void` `setDescription(String description)`
`void` `setDuration(Integer duration)`
`void` `setExpirationDate(java.time.ZonedDateTime expirationDate)`
`void` `setFamilyFriendly(Boolean familyFriendly)`
`void` `setGalleryLoc(URL galleryLoc)`
`void` `setGalleryTitle(String galleryTitle)`
`void` `setLive(Boolean live)`
`void` `setPlayerLoc(URL playerLoc)`
`void` `setPrices(VideoAttributes.VideoPrice[] prices)`
`void` `setPublicationDate(java.time.ZonedDateTime publicationDate)`
`void` `setRating(Float rating)`
`void` `setRequiresSubscription(Boolean requiresSubscription)`
`void` `setRestrictedCountries(String[] restrictedCountries)`
`void` `setRestrictedPlatforms(String[] restrictedPlatforms)`
`void` `setTags(String[] tags)`
`void` `setThumbnailLoc(URL thumbnailLoc)`
`void` `setTitle(String title)`
`void` `setUploader(String uploader)`
`void` `setUploaderInfo(URL uploaderInfo)`
`void` `setViewCount(Integer viewCount)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### THUMBNAIL_LOC

    public static final String THUMBNAIL_LOC

See Also:
  Constant Field Values

#### TITLE

    public static final String TITLE

See Also:
  Constant Field Values

#### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

#### CONTENT_LOC

    public static final String CONTENT_LOC

See Also:
  Constant Field Values

#### PLAYER_LOC

    public static final String PLAYER_LOC

See Also:
  Constant Field Values

#### EXPIRATION_DATE

    public static final String EXPIRATION_DATE

See Also:
  Constant Field Values

#### RATING

    public static final String RATING

See Also:
  Constant Field Values

#### VIEW_COUNT

    public static final String VIEW_COUNT

See Also:
  Constant Field Values

#### PUBLICATION_DATE

    public static final String PUBLICATION_DATE

See Also:
  Constant Field Values

#### FAMILY_FRIENDLY

    public static final String FAMILY_FRIENDLY

See Also:
  Constant Field Values

#### TAGS

    public static final String TAGS

See Also:
  Constant Field Values

#### CATEGORY

    public static final String CATEGORY

See Also:
  Constant Field Values

#### RESTRICTED_COUNTRIES

    public static final String RESTRICTED_COUNTRIES

See Also:
  Constant Field Values

#### ALLOWED_COUNTRIES

    public static final String ALLOWED_COUNTRIES

See Also:
  Constant Field Values

#### GALLERY_LOC

    public static final String GALLERY_LOC

See Also:
  Constant Field Values

#### GALLERY_TITLE

    public static final String GALLERY_TITLE

See Also:
  Constant Field Values

#### PRICES

    public static final String PRICES

See Also:
  Constant Field Values

#### REQUIRES_SUBSCRIPTION

    public static final String REQUIRES_SUBSCRIPTION

See Also:
  Constant Field Values

#### UPLOADER

    public static final String UPLOADER

See Also:
  Constant Field Values

#### UPLOADER_INFO

    public static final String UPLOADER_INFO

See Also:
  Constant Field Values

#### ALLOWED_PLATFORMS

    public static final String ALLOWED_PLATFORMS

See Also:
  Constant Field Values

#### RESTRICTED_PLATFORMS

    public static final String RESTRICTED_PLATFORMS

See Also:
  Constant Field Values

#### IS_LIVE

    public static final String IS_LIVE

See Also:
  Constant Field Values

### Constructor Detail

#### VideoAttributes

    public VideoAttributes()

#### VideoAttributes

    public VideoAttributes(URL thumbnailLoc,
                           String title,
                           String description,
                           URL contentLoc,
                           URL playerLoc)

### Method Detail

#### getThumbnailLoc

    public URL getThumbnailLoc()

#### setThumbnailLoc

    public void setThumbnailLoc(URL thumbnailLoc)

#### getTitle

    public String getTitle()

#### setTitle

    public void setTitle(String title)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getContentLoc

    public URL getContentLoc()

#### setContentLoc

    public void setContentLoc(URL contentLoc)

#### getPlayerLoc

    public URL getPlayerLoc()

#### setPlayerLoc

    public void setPlayerLoc(URL playerLoc)

#### getDuration

    public Integer getDuration()

#### setDuration

    public void setDuration(Integer duration)

#### getExpirationDate

    public Date getExpirationDate()

#### getExpirationDateTime

    public java.time.ZonedDateTime getExpirationDateTime()

#### setExpirationDate

    public void setExpirationDate(java.time.ZonedDateTime expirationDate)

#### getRating

    public Float getRating()

#### setRating

    public void setRating(Float rating)

#### getViewCount

    public Integer getViewCount()

#### setViewCount

    public void setViewCount(Integer viewCount)

#### getPublicationDate

    public Date getPublicationDate()

#### getPublicationDateTime

    public java.time.ZonedDateTime getPublicationDateTime()

#### setPublicationDate

    public void setPublicationDate(java.time.ZonedDateTime publicationDate)

#### getFamilyFriendly

    public Boolean getFamilyFriendly()

#### setFamilyFriendly

    public void setFamilyFriendly(Boolean familyFriendly)

#### getTags

    public String[] getTags()

#### setTags

    public void setTags(String[] tags)

#### addTag

    public void addTag(String tag)

#### getCategory

    public String getCategory()

#### setCategory

    public void setCategory(String category)

#### getRestrictedCountries

    public String[] getRestrictedCountries()

#### setRestrictedCountries

    public void setRestrictedCountries(String[] restrictedCountries)

#### getAllowedCountries

    public String[] getAllowedCountries()

#### setAllowedCountries

    public void setAllowedCountries(String[] allowedCountries)

#### getGalleryLoc

    public URL getGalleryLoc()

#### setGalleryLoc

    public void setGalleryLoc(URL galleryLoc)

#### getGalleryTitle

    public String getGalleryTitle()

#### setGalleryTitle

    public void setGalleryTitle(String galleryTitle)

#### getPrices

    public VideoAttributes.VideoPrice[] getPrices()

#### setPrices

    public void setPrices(VideoAttributes.VideoPrice[] prices)

#### addPrice

    public void addPrice(VideoAttributes.VideoPrice price)

#### getRequiresSubscription

    public Boolean getRequiresSubscription()

#### setRequiresSubscription

    public void setRequiresSubscription(Boolean requiresSubscription)

#### getUploader

    public String getUploader()

#### setUploader

    public void setUploader(String uploader)

#### getUploaderInfo

    public URL getUploaderInfo()

#### setUploaderInfo

    public void setUploaderInfo(URL uploaderInfo)

#### getRestrictedPlatforms

    public String[] getRestrictedPlatforms()

#### setRestrictedPlatforms

    public void setRestrictedPlatforms(String[] restrictedPlatforms)

#### getAllowedPlatforms

    public String[] getAllowedPlatforms()

#### setAllowedPlatforms

    public void setAllowedPlatforms(String[] allowedPlatforms)

#### getLive

    public Boolean getLive()

#### setLive

    public void setLive(Boolean live)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `ExtensionMetadata`

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `ExtensionMetadata`

#### asMap

    public Map<String,String[]> asMap()

Specified by:
  `asMap` in class `ExtensionMetadata`